Bug 1147850 (CVE-2014-3673) - CVE-2014-3673 kernel: sctp: skb_over_panic when receiving malformed ASCONF chunks
Summary: CVE-2014-3673 kernel: sctp: skb_over_panic when receiving malformed ASCONF ch...
Status: CLOSED ERRATA
Alias: CVE-2014-3673
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Sun Baoliang
URL:
Whiteboard: impact=important,public=20141009,repo...
Keywords: Security
Depends On: 1147392 1147397 1147856 1147857 1152755 1154676 1155724 1155725 1155726 1155727
Blocks: 1147872
TreeView+ depends on / blocked
 
Reported: 2014-09-30 08:20 UTC by Petr Matousek
Modified: 2016-05-13 10:17 UTC (History)
27 users (show)

(edit)
A flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled malformed Address Configuration Change Chunks (ASCONF). A remote attacker could use either of these flaws to crash the system.
Clone Of:
(edit)
Last Closed: 2015-01-14 00:12:39 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2014:1997 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-17 00:12:55 UTC
Red Hat Product Errata RHSA-2015:0043 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-13 23:27:54 UTC
Red Hat Product Errata RHSA-2015:0062 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-01-20 22:21:42 UTC
Red Hat Product Errata RHSA-2015:0115 normal SHIPPED_LIVE Important: kernel security update 2015-02-03 22:10:29 UTC

Description Petr Matousek 2014-09-30 08:20:57 UTC
Kernel panic (via skb_over_panic) is encountered when sctp stack receive a malformed asconf chunks.

    skb_over_panic: text:ffffffffa01ea1c3 len:31056 put:30768
     head:ffff88011bd81800 data:ffff88011bd81800 tail:0x7950
     end:0x440 dev:<NULL>
     ------------[ cut here ]------------
    kernel BUG at net/core/skbuff.c:129!
    [...]
    Call Trace:
     <IRQ>
     [<ffffffff8144fb1c>] skb_put+0x5c/0x70
     [<ffffffffa01ea1c3>] sctp_addto_chunk+0x63/0xd0 [sctp]
     [<ffffffffa01eadaf>] sctp_process_asconf+0x1af/0x540 [sctp]
     [<ffffffff8152d025>] ? _read_unlock_bh+0x15/0x20
     [<ffffffffa01e0038>] sctp_sf_do_asconf+0x168/0x240 [sctp]
     ...

A remote attacker could use this flaw to crash the system.

Acknowledgements:

This issue was discovered by Liu Wei of Red Hat.

Comment 5 Petr Matousek 2014-10-22 17:42:17 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1155727]

Comment 6 Petr Matousek 2014-10-22 18:16:21 UTC
Statement:

This issue does affect Red Hat Enterprise Linux 5. This has been rated as having Important security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue does affect Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG. Future Linux kernel updates for the respective releases will address this issue.

Comment 7 Fedora Update System 2014-10-28 06:43:08 UTC
kernel-3.16.6-202.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-11-03 05:23:06 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-16 14:46:42 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Martin Prpič 2014-12-05 14:27:27 UTC
IssueDescription:

A flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled malformed Address Configuration Change Chunks (ASCONF). A remote attacker could use either of these flaws to crash the system.

Comment 11 errata-xmlrpc 2014-12-09 20:36:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 12 errata-xmlrpc 2014-12-16 19:13:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1997 https://rhn.redhat.com/errata/RHSA-2014-1997.html

Comment 13 errata-xmlrpc 2015-01-13 18:28:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2015:0043 https://rhn.redhat.com/errata/RHSA-2015-0043.html

Comment 14 errata-xmlrpc 2015-01-20 17:23:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0062 https://rhn.redhat.com/errata/RHSA-2015-0062.html

Comment 15 errata-xmlrpc 2015-02-03 17:12:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:0115 https://rhn.redhat.com/errata/RHSA-2015-0115.html


Note You need to log in before you can comment on or make changes to this bug.